org.apache.ignite.internal.processors.closure

## Interface AffinityTask

    public interface AffinityTask

Affinity mapped task.

### Method Summary

Methods
`Collection<String>` `affinityCacheNames()`
`int` `partition()`
`AffinityTopologyVersion` `topologyVersion()`

### Method Detail

#### partition

    int partition()

Returns:
  Partition.

#### affinityCacheNames

    @Nullable
    Collection<String> affinityCacheNames()

Returns:
  Affinity cache name.

#### topologyVersion

    @Nullable
    AffinityTopologyVersion topologyVersion()

Returns:
  Affinity topology version.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017